System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details.

A can implement this service to provide a way for a designer to create new, unique names for objects. If this service is not available, the designer uses a default implementation.

Provides a service that can generate unique names for objects.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` ``

  This method returns a name for the new object that is unique within the specified container.

  Creates a new name that is unique to all components in the specified container.

  A unique name for the data type.

  The container where the new object is added. The data type of the object that receives the name.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  An implementation of the can have rules that define the parameters for valid names. This method can be implemented to validate a name and enforce those rules.

  Gets a value indicating whether the specified name is valid.

  true if the name is valid; otherwise, false.

  The name to validate.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  An implementation of the can have rules that define the parameters for valid names. This method can be implemented to validate a name and enforce those rules.

  This method is similar to , except that this method throws an exception if the name is invalid. This allows implementers to provide detailed information in the exception message.

  Gets a value indicating whether the specified name is valid.

  The name to validate.